#### D.13.2.36 rays

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  rays(c); c cone

Return:
  bigintmat, generators of the rays of c, orthogonal to its lineality space

Example:

    LIB "gfan.lib";
    intmat M1[2][2]=
    1,0,
    0,1;
    cone c1=coneViaPoints(M1);
    bigintmat R1=rays(c1);
    print(R1);
    ==> 1,0,
    ==> 0,1
    intmat M2[3][2]=
    1,0,
    0,1,
    -1,0;
    cone c2=coneViaPoints(M2);
    bigintmat R2=rays(c2);
    print(R2);
    ==> 0,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.